[SciPy-user] Sparse factorisation

Gael Varoquaux gael.varoquaux@normalesup....
Fri May 1 05:40:32 CDT 2009


On Fri, May 01, 2009 at 10:23:35AM +0000, Pauli Virtanen wrote:
> Fri, 01 May 2009 11:51:52 +0200, Gael Varoquaux wrote:
> [clip]
> > Actually, I'd love if the (currenly-BSD) umfpack in scipy could be
> > fixed, because I'll probably need to ship some BSD code at some point,
> > but if nobody can do this, than it needs to be killed.

> I think it's probably not really broken. (I use it sparse.linalg.spsolve 
> quite often, and see the umfpack deprecation warnings...)

Correct. It is just that numpy didn't detect umfpack when I built. I am
investigating why. It shouldn't happen. However, the error message could
be improved.

> Can you check your build log if the umfpack extension was really built? 
> (It's supposed to fail "silently" if it can't be built so that the rest 
> of scipy.sparse still functions.)

As you have mentioned on the track ticket, the build is failing, and
we'll fix this.

I am feeling we are making progress on this issue. Fixing the error
message is really important though.

I'll cook up a patch to get things working on my system, with a proper
error message.

Gaël


More information about the SciPy-user mailing list